Bug 190017 - Netbeans hung while trying to find file (Alt-Shift-O) while still opening projects
Netbeans hung while trying to find file (Alt-Shift-O) while still opening pro...
Status: RESOLVED FIXED
Product: serverplugins
Classification: Unclassified
Component: Tomcat
6.x
All All
: P3 (vote)
: 7.0
Assigned To: Petr Hejl
issues@serverplugins
: THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-31 10:47 UTC by tnleeuw
Modified: 2010-12-21 08:07 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Threaddump of NB when GUI was hung up (44.34 KB, application/octet-stream)
2010-08-31 10:49 UTC, tnleeuw
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tnleeuw 2010-08-31 10:47:16 UTC
Product Version = NetBeans IDE Dev (Build 201008310001)
Operating System = Windows Vista version 6.0 running on x86
Java; VM; Vendor = 1.6.0_21
Runtime = Java HotSpot(TM) Client VM 17.0-b16

While NetBeans was just started up and still showing "Opening Projects", I tried opening a file in one of the projects using alt-shift-O and typing the name of the file. This worked for the first file, but on trying the 2nd file, the list of files remained empty.
After closing the dialog, I could click 1 or 2 more things, update a module, and then the GUI hung up. There was no response anymore from clicking anywhere.

"Opening projects" was stuck at 29%.

Poking around with VisualVM revealed some threads waiting on monitor, that seemed relating to the tasks of opening projects & scanning the file list.
Comment 1 tnleeuw 2010-08-31 10:49:02 UTC
Added threaddump of the state of netbeans at the time of this problem.
I have a heapdump available of the same time but b/c of it's size I'm not yet trying to upload that anywhere.
Comment 2 tnleeuw 2010-08-31 10:49:10 UTC
Created attachment 101768 [details]
Threaddump of NB when GUI was hung up
Comment 3 Peter Pis 2010-08-31 11:17:59 UTC
Please evaluate.
Comment 4 Jesse Glick 2010-10-15 20:26:06 UTC
Lock ordering conflict between TomcatFactory and ServerRegistry.

"Load Open Projects":
	at org.netbeans.modules.tomcat5.TomcatFactory.getDeploymentManager(TomcatFactory.java:189)
	- waiting to lock <0x1cac2798> (a org.netbeans.modules.tomcat5.TomcatFactory)
	at org.netbeans.modules.tomcat5.TomcatFactory.getDisconnectedDeploymentManager(TomcatFactory.java:218)
...
	at org.netbeans.modules.j2ee.deployment.devmodules.api.ServerInstance.getLibraryManager(ServerInstance.java:219)
	- locked <0x1c993448> (a org.netbeans.modules.j2ee.deployment.impl.ServerRegistry)
	at org.netbeans.modules.j2ee.common.ui.BrokenServerLibrarySupport.getMissingServerLibraries(BrokenServerLibrarySupport.java:159)

"MavenJaxWsSupportProvider.WS_REQUEST_PROCESSOR":
	at org.netbeans.modules.j2ee.deployment.impl.ServerRegistry.getServerInstance(ServerRegistry.java:300)
	- waiting to lock <0x1c993448> (a org.netbeans.modules.j2ee.deployment.impl.ServerRegistry)
	at org.netbeans.modules.j2ee.deployment.plugins.api.InstanceProperties.getInstanceProperties(InstanceProperties.java:155)
	at org.netbeans.modules.tomcat5.TomcatFactory.getDeploymentManager(TomcatFactory.java:195)
	- locked <0x1cac2798> (a org.netbeans.modules.tomcat5.TomcatFactory)
	at org.netbeans.modules.tomcat5.TomcatFactory.getDisconnectedDeploymentManager(TomcatFactory.java:218)
Comment 5 Petr Hejl 2010-12-20 15:48:04 UTC
Fixed in web-main e64342fce730.
Comment 6 Quality Engineering 2010-12-21 08:07:14 UTC
Integrated into 'main-golden', will be available in build *201012210001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/e64342fce730
User: Petr Hejl <phejl@netbeans.org>
Log: #190017: Netbeans hung while trying to find file (Alt-Shift-O) while still opening projects


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo